Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchCallMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FoundMessages>
it.tdlight.jni.TdApi.SearchCallMessages

Enclosing class:
  TdApi

public static final class TdApi.SearchCallMessages extends TdApi.Function<TdApi.FoundMessages>
Searches for call messages. Returns the results in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of messages to be returned; up to 100.
`String`
`offset`
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
`boolean`
`onlyMissed`
Pass true to search only for messages with missed/declined calls.

## Constructor Summary

Constructors
Constructor
Description
`SearchCallMessages()`
Searches for call messages.
`SearchCallMessages(DataInput input)`
Searches for call messages.
`SearchCallMessages(String offset, int limit, boolean onlyMissed)`
Searches for call messages.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### offset

public String offset
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

### limit

public int limit
The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### onlyMissed

public boolean onlyMissed
Pass true to search only for messages with missed/declined calls.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SearchCallMessages

public SearchCallMessages()
Searches for call messages. Returns the results in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

### SearchCallMessages

public SearchCallMessages(String offset, int limit, boolean onlyMissed)
Searches for call messages. Returns the results in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

Parameters:
  `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `limit` - The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
  `onlyMissed` - Pass true to search only for messages with missed/declined calls.

  Returns `FoundMessages`

### SearchCallMessages

public SearchCallMessages(DataInput input) throws IOException
Searches for call messages. Returns the results in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`